/*
 * ListadoAction.java
 *
 * Created on 8 de noviembre de 2007, 16:03
 */

package servlets;

import javax.servlet.http.*;
import org.apache.struts.action.*;
import org.apache.struts.actions.*;
import javabeans.*;
import modelo.*;
import java.util.*;
public class ListadoAction extends Action {   
    public ActionForward execute(ActionMapping mapping, ActionForm  form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {      
         OpcionesForm of=(OpcionesForm)form;
         GestionLlamadas gl=getGestionLlamadas(request);
         //recupera el listado de llamadas asociadas al número
         //y reenvia la petición a la vista que lo muestra
         request.setAttribute("llamadas",gl.getTodasLlamadasTelefono(of.getNumero()));
         return mapping.findForward("listado");
    }
    //método de apoyo a execute
    private GestionLlamadas getGestionLlamadas(HttpServletRequest request){
        String driver=this.getServlet().getServletContext().getInitParameter("driver");
        String cadenaCon=this.getServlet().getServletContext().getInitParameter("cadenaCon");
        return new GestionLlamadas(driver,cadenaCon);     
    }
}
